<?php
namespace App\Form\Input;

/**
 * Selector for the customer type
 * @author Lucian Sirbu
 */
class Select_CustomerType extends \Engine\Form\Input\Select
{

	/**
	 * (non-PHPdoc)
	 * @see \Engine\Form\Input\Radio::determinePossibleValues()
	 */
	protected function determinePossibleValues()
	{
		$CFG = \Engine\Loader_Cfg::getInstance()->getGlobal();
		$_LANG = \App\Loader_Lang::getInstance()->getGlobal();

		$return = [];
		foreach($CFG['generalData']['personTypes'] as $personType) {
			$return[$personType] = $_LANG['generalData']['personTypes'][$personType];
		}

		return $return;
	}

}
